ChangeSet 1.1807.56.22, 2004/08/06 12:42:19-07:00, akpm@osdl.org

[PATCH] I2C: scx200_i2c build fix

drivers/i2c/busses/scx200_i2c.c: In function `__check_scl':
drivers/i2c/busses/scx200_i2c.c:41: `scl' undeclared (first use in this function)
drivers/i2c/busses/scx200_i2c.c:41: (Each undeclared identifier is reported only once


Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/i2c/busses/scx200_i2c.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/drivers/i2c/busses/scx200_i2c.c b/drivers/i2c/busses/scx200_i2c.c
--- a/drivers/i2c/busses/scx200_i2c.c	2004-08-23 11:04:30 -07:00
+++ b/drivers/i2c/busses/scx200_i2c.c	2004-08-23 11:04:30 -07:00
@@ -38,13 +38,13 @@
 MODULE_DESCRIPTION("NatSemi SCx200 I2C Driver");
 MODULE_LICENSE("GPL");
 
+static int scl = CONFIG_SCx200_I2C_SCL;
+static int sda = CONFIG_SCx200_I2C_SDA;
+
 module_param(scl, int, 0);
 MODULE_PARM_DESC(scl, "GPIO line for SCL");
 module_param(sda, int, 0);
 MODULE_PARM_DESC(sda, "GPIO line for SDA");
-
-static int scl = CONFIG_SCx200_I2C_SCL;
-static int sda = CONFIG_SCx200_I2C_SDA;
 
 static void scx200_i2c_setscl(void *data, int state)
 {
